Loading...
Searching...
No Matches
ApplicationPrivate Struct Reference

Private data of CApplication class. More...

## Public Attributes

SDL_Window * | window
| Main game window.
SDL_GLContext | glcontext
| Main game OpenGL context.
SDL_Event | currentEvent
| Currently handled event.
SDL_Event | lastMouseMotionEvent
| Mouse motion event to be handled.
SDL_Joystick * | joystick
| Joystick.
SDL_TimerID | joystickTimer
| Id of joystick timer.
SDL_Haptic * | haptic
| Haptic subsystem for the joystick.

## Detailed Description

Private data of CApplication class.

Contains SDL-specific variables that should not be visible outside application module.

## Member Data Documentation

## window

SDL_Window* ApplicationPrivate::window

Main game window.

## glcontext

SDL_GLContext ApplicationPrivate::glcontext

Main game OpenGL context.

## currentEvent

SDL_Event ApplicationPrivate::currentEvent

Currently handled event.

## lastMouseMotionEvent

SDL_Event ApplicationPrivate::lastMouseMotionEvent

Mouse motion event to be handled.

## joystick

SDL_Joystick* ApplicationPrivate::joystick

Joystick.

## joystickTimer

SDL_TimerID ApplicationPrivate::joystickTimer

Id of joystick timer.

## haptic

SDL_Haptic* ApplicationPrivate::haptic

Haptic subsystem for the joystick.

The documentation for this struct was generated from the following file:

- src/app/app.cpp